<?php
class EcranLargeBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'Ecran Large Bridge';
	const URI = 'https://www.ecranlarge.com/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);
		$article_html = getSimpleHTMLDOMCached($item['uri']);

		if(!$article_html) {
			$item['content'] = 'Could not request Ecran Large : ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('section.full-critic div.large-image img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('section.full-critic', 0)->innertext
		);

		$article_content = stripWithDelimiters($article_content, '<script', '</script>');
		$article_content = stripWithDelimiters($article_content, '<noscript', '</noscript>');


		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . 'rss';
		$this->collectExpandableDatas($feedUrl);
	}
}
